This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 882341 - 69-dm-lvm-metad.rules should not run if ANACONDA=1
69-dm-lvm-metad.rules should not run if ANACONDA=1
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
19
Unspecified Unspecified
high Severity high
: ---
: ---
Assigned To: Peter Rajnoha
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-30 12:44 EST by David Lehman
Modified: 2013-06-17 03:54 EDT (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-06-17 03:54:02 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description David Lehman 2012-11-30 12:44:14 EST
Description of problem:
Automatic activation of any/all detected lvm is not desirable during OS installation. Please add a check to disable these rules when ENV{ANACONDA}==1.

An example of this from 65-md-incremental.rules:

ENV{ANACONDA}=="?*", GOTO="md_end"

Version-Release number of selected component (if applicable):
whatever's in F18 Beta.

How reproducible:
Always

Steps to Reproduce:
1. Start an install with any preexisting lvm configuration
2.
3.
  
Actual results:
Note that all lvm is automatically activated.

Expected results:
No automatic device activation during OS installation.

Additional info:
Comment 1 Peter Rajnoha 2012-12-04 04:22:33 EST
Previous package enabled the use of lvmetad (and so the autoactivation feature) by default in F18 which was a bug as it's supposed to be enabled by default in F19+. This should now be fixed in lvm2-2.02.98-3.fc18. Can we move this bug to "rawhide" then?

However, I'd like to avoid using ENV{ANACONDA} as much as possible as this is Fedora-specific solution only and we already have a configuration option to select which VGs/LVs to autoactivate: the activation/auto_activation_volume_list.
By default, when auto_activation_volume_list is not configured, all volumes are autoactivated.

You can use:

  auto_activation_volume_list = [ " " ]

..to disable the autoactivation (as no VG/LV will ever match " "). Unfortunately, it's not possible to define a blank array without any content for volume lists. 
I'll probably patch this, so we can use even this:

  auto_activation_volume_list = [ ]

It seems anaconda does not use lvm.conf and it just uses defaults, would it be possible to add one for anaconda so we don't need to workaround this?
Comment 2 Peter Rajnoha 2012-12-04 04:33:16 EST
Just a note: vgchange and lvchange must be called with "-aay" instead of "-ay" to honour the auto_activation_volume_list setting!

(..the same applies for "pvscan --cache -aay" called from the udev rule, but that already uses -aay and it's the only option for pvscan..)
Comment 3 Peter Rajnoha 2012-12-04 04:40:08 EST
(In reply to comment #1)
> I'll probably patch this, so we can use even this:
> 
>   auto_activation_volume_list = [ ]
> 

http://git.fedorahosted.org/cgit/lvm2.git/commit/?id=e2be2652ad147f07f326da0744b32f5160d68340

Will appear in lvm2 v2.02.99.
Comment 5 Fedora End Of Life 2013-04-03 14:10:04 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19
Comment 6 Peter Rajnoha 2013-06-17 03:54:02 EDT
This is not needed, the "ANACONDA" udev env var is not defined anymore (bug 966289 comment #30).

Note You need to log in before you can comment on or make changes to this bug.